MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006774ardourbugspublic2016-02-16 04:342016-09-11 04:52
Reportertimbyr 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.6 
Target VersionFixed in Version5.X git (version in description) 
Summary0006774: Opening Session and moving start or end range/location markers and closing Session does not ask to save session
DescriptionThis is with ardour nightly build 4.6.334

I expect that moving a start/end marker causes the Session state to be marked as "dirty" or needing saving so that when closing the Session it asks to save or not.
TagsNo tags attached.
Attached Files

- Relationships
related to 0006770confirmed Start and End Markers are moving unexpectedly 

-  Notes
(0018572)
timbyr (developer)
2016-09-08 19:09

This is is still an issue in version 5.3

A quick fix for this seems to call Session::set_dirty at the end of Session::start_time_changed and Session::end_time_changed

A better fix might be to have the Locations class emit a "changed" signal or similar when any of the Location members change. Then the Session class could just connect to that signal and call set_dirty() from the callback. This approach would allow removal of explicit calls to set_dirty() from some other Location related callbacks in the Session class.
(0018589)
paul (administrator)
2016-09-09 16:22

The issue with the "single-point fix" solution is that Locations object doesn't listen for changes to all of the Location objects in its collection. It isn't apparent to me that it should. It would make this particular class of issues go away though, which would be nice.
(0018595)
timbyr (developer)
2016-09-11 04:51

I've committed the "quick" fix solution for this to master branch as commit f91e591f so a nightly build >= 5.3.60

Further refactoring and larger changes don't seem worth it to me at this stage.

- Issue History
Date Modified Username Field Change
2016-02-16 04:34 timbyr New Issue
2016-02-16 04:34 timbyr Relationship added related to 0006770
2016-09-08 19:09 timbyr Note Added: 0018572
2016-09-09 16:22 paul Note Added: 0018589
2016-09-11 04:51 timbyr Note Added: 0018595
2016-09-11 04:52 timbyr Status new => resolved
2016-09-11 04:52 timbyr Fixed in Version => 5.X git (version in description)
2016-09-11 04:52 timbyr Resolution open => fixed
2016-09-11 04:52 timbyr Assigned To => timbyr


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker